unit Main;

interface

uses
  Quadengine, Resources, Vec2f;

procedure OnTimer(out delta: Double; Id: Cardinal); stdcall;
procedure OnKeyDown(Key: Word); stdcall;
procedure OnKeyUp(Key: Word); stdcall;

implementation

procedure OnTimer(out delta: Double; Id: Cardinal); stdcall;
begin
  TGlobals.QuadRender.BeginRender;
  TGlobals.GameModeManager.OnProcess(delta);
  TGlobals.QuadRender.EndRender;
end;

procedure OnKeyDown(Key: Word); stdcall;
begin
  TGlobals.GameModeManager.OnKeyDown(Key);
end;

procedure OnKeyUp(Key: Word); stdcall;
begin
  TGlobals.GameModeManager.OnKeyUp(Key);
end;

end.
